All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview.actions
Class AddRowAction

    com.sas.swing.visuals.tableview.actions.AddRowAction

All Implemented Interfaces:
  ActionStatusKeysInterface, SupplementalPropertyKeysInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, java.awt.event.ActionListener, java.lang.Cloneable, java.rmi.Remote, java.util.EventListener, javax.swing.Action

    public class AddRowAction

The AddRowAction class is used in conjunction with the AddRowCommand to perform add a row to a table.

Since:
  3.0

Field Summary

Fields inherited from class com.sas.swing.visuals.tableview.actions.TableViewAction
`RB_KEY`

Fields inherited from interface com.sas.swing.util.Action
`ALIGNMENT_CENTER, ALIGNMENT_LEADING, ALIGNMENT_LEFT, ALIGNMENT_RIGHT, ALIGNMENT_TRAILING, ALTERNATE_TEXT, COMMAND_CLASS, DISABLED_IMAGE_KEY, GROUP_NAME, IMAGE_KEY, LABEL, LARGE_DISABLED_ICON, LARGE_DISABLED_ICON_NAME, LARGE_ICON, LARGE_ICON_NAME, LONG_DISABLED_DESCRIPTION, LONG_NAME, MNEMONIC_INDEX, ROLLOVER_ICON_NAME, ROLLOVER_IMAGE_KEY, SHORT_DISABLED_DESCRIPTION, SMALL_DISABLED_ICON, SMALL_DISABLED_ICON_NAME, SMALL_ICON_NAME, STYLE_MAP, TARGET, TEXT_ALIGNMENT, TYPE, TYPE_BOOLEAN, TYPE_NORMAL, URL`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.SupplementalPropertyKeysInterface
`COMMAND, CUSTOM, DYNAMIC, ENCODE, EXTERNAL`

Constructor Summary
`AddRowAction()` Default constructor

Method Summary
`protected void` | `executeCommand(DynamicAttributeCommandInterface command)` Call the command's execute() method.

Methods inherited from class com.sas.swing.visuals.tableview.actions.TableViewAction
`actionPerformed`

Methods inherited from class com.sas.actionprovider.BaseAction
`addPropertyChangeListener, applyCommandAttributes, clone, fireEvent, getActionStrategy, getActionType, getAttributeDescriptor, getAttributeDescriptors, getCommand, getReturnStatus, getValue, isCustom, performAction, putValue, removePropertyChangeListener, setActionStrategy, setActionType, setAttribute, setCommand, setCustom, setReturnStatus`

Methods inherited from class com.sas.entities.BaseEntity
`containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Constructor Detail

### AddRowAction

    public AddRowAction()

  Default constructor

Method Detail

### executeCommand

    protected void executeCommand(DynamicAttributeCommandInterface command)

  Description copied from class: `BaseAction`

  Call the command's execute() method.

  Overrides:
    `executeCommand` in class `BaseAction`
  Parameters:
    `command` - The command whose execute() method is to be called

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.